package controler;

import view.JFrameLayeredPaneSample1;

/**
 * <pre>
 * On ne peut avoir qu'un seul controleur en MVC 2.
 * 
 * Un positionnement absolu (<code>setLayout(null)</code>)
 * ne doit tre utilis que dans un des cas suivants. Lorsque le <code>JFrame</code> :
 *   <b>est non redimensionnable</b> ;
 *   est compos exclusivement d'lments dont la taille n'est pas affecte ;
 *    par le redimensionnement du conteneur ou ;
 *    par la modificaiton de la police, du <i>look and Feel</i> ou ;
 *    par le changement du langage ;
 *   est compos exclusivement de <code>JInternalFrame</code> ;
 *   est compos exclusivement de <code>JSplitPane</code> ;
 *   est compos exclusivement de conteneurs personnaliss qui effectuent
 *    des calculs de tailles et de positions qui sont relatives au contenant.
 * 
 * Il est conseill d'utiliser de prfrence un <i>Layout</i> (pas de positionnement absolu)
 * chaque fois que cela est possible. Cependant, un positionnement absolu est utilis dans 
 * les exemples de cette application car les <code>JFrame</code> sont toujours non redimensionnables
 * et afin de permettre une utilisation simplifie d'diteurs <i>GUI</i> comme WindowBuilder.
 * 
 * JLayeredPane est un conteneur qui peut possder des couches. Les composants contenus
 * dans un Layer (une couche de JLayeredPane) sont organiss selon leur position dans un
 * environnement en 3 dimensions : hauteur, largeur et profondeur.
 * 
 * Chaque JLayeredPane est caractris par la possibilit dajouter un composant  une couche. Pour
 * dfinir la priorit de cette couche on doit prciser une priorit. Une valeur de type Integer (pas int !)
 * donne ainsi la priorit de la couche par rapport aux autres. Cette priorite joue galement sur lordre 
 * daffichage. En effet, plus la valeur est grande plus le panel sera prioritaire et donc mise en avant.
 * </pre>
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.0.0
 */
public class BasicMainControler {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Dcommenter une seule des lignes suivantes  la fois pour tester les diffrentes applications exemples
		
		// 
		new JFrameLayeredPaneSample1().setVisible(true);
	}
}