/**
 * 
 */
package view;

import java.awt.Color;
import java.awt.HeadlessException;
import java.awt.Rectangle;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JLayeredPane;

/**
 * @author Mickal Martin Nevot
 * 
 * @version 1.0.0
 */
public class JFrameLayeredPaneSample1 extends JFrame {

	private static final long serialVersionUID = 1L;

	private static final int FRAME_WIDTH = 260;
	private static final int FRAME_HEIGHT = 275;
	
	private JLayeredPane layeredPane = null;
	private JLabel jLabel1 = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel3 = null;
	
	/**
	 * @throws HeadlessException
	 */
	public JFrameLayeredPaneSample1() {
		super();
		
		initialize();
	}

	/**
	 * This method initializes this
	 */
	private void initialize() {
		this.setTitle("MyJFrameLayeredPaneSample1Title"); // On donne un titre  l'application
		this.setSize(FRAME_WIDTH, FRAME_HEIGHT); // On donne une taille  notre fentre
		this.setLocationRelativeTo(null); // On centre la fentre  l'cran
		this.setResizable(false); // On interdit le redimensionnement de la fentre
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // On dit  l'application de se fermer lors du clic sur la croix
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes this.jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JLayeredPane getJContentPane() {
		if (this.layeredPane == null) {
			this.layeredPane = new JLayeredPane();
			this.layeredPane.setLayout(null);
			
			// Il ne faut pas oublier que le deuxime paramtre de la mthode add
			// de la classe JLayeredPane est de type Integer (surtout pas int !)
			this.layeredPane.add(getMyJLabel1(), new Integer(JLayeredPane.DEFAULT_LAYER + 1));
			this.layeredPane.add(getMyJLabel2(), new Integer(JLayeredPane.DEFAULT_LAYER + 2));
			this.layeredPane.add(getMyJLabel3(), new Integer(JLayeredPane.DEFAULT_LAYER + 3));
		}
		return this.layeredPane;
	}
	
	/**
	 * This method initializes this.jLabel1	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getMyJLabel1() {
		if (this.jLabel1 == null) {
			this.jLabel1 = new JLabel();
			this.jLabel1.setBounds(new Rectangle(25, 25, 100, 100));
			this.jLabel1.setOpaque(true);
			this.jLabel1.setBackground(Color.RED);
		}
		return this.jLabel1;
	}
	
	/**
	 * This method initializes this.jLabel2
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getMyJLabel2() {
		if (this.jLabel2 == null) {
			this.jLabel2 = new JLabel();
			this.jLabel2.setBounds(new Rectangle(75, 75, 100, 100));
			this.jLabel2.setOpaque(true);
			this.jLabel2.setBackground(Color.GREEN);
		}
		return this.jLabel2;
	}
	
	/**
	 * This method initializes this.jLabel3
	 * 	
	 * @return javax.swing.JLabel	
	 */
	public JLabel getMyJLabel3() {
		if (this.jLabel3 == null) {
			this.jLabel3 = new JLabel();
			this.jLabel3.setBounds(new Rectangle(125, 125, 100, 100));
			this.jLabel3.setOpaque(true);
			this.jLabel3.setBackground(Color.BLUE);
		}
		return this.jLabel3;
	}
}